<?php
session_start();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Search Advance</title>
    <style type="text/css">
        tfoot input {
            width: 100%;
            padding: 3px;
            box-sizing: border-box;
        }
    </style>
     <link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.22/css/jquery.dataTables.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.22/js/jquery.dataTables.min.js"></script>  
 
   
    <script language="JavaScript" src="js/advance.js"></script>
</head>
<body>

        

    <table id="example" class="display" style="width:100%">
        <thead>
            <tr>
                <th>REF NO</th>
                <th>CODE</th>
                <th>PAYMENT</th>
                <th>DATE</th>
            </tr>
        </thead>
        <tbody>
            <?php
            $stname = "";
            if (isset($_GET['stname'])) {
                $stname = $_GET["stname"];
            }
            ?>
            <input type="hidden" value="" id="cur" />

             <?php 
							
							require_once("config.inc.php");
							require_once("DBConnector1.php");
							$db = new DBConnector();
							
							$sql="select C_REFNO,C_CODE,C_PAYMENT,C_DATE  from s_adva ORDER BY C_REFNO limit 50";
							$result =$db->RunQuery($sql);
							while($row = mysqli_fetch_array($result)){
							    
							    $sqlmaxin="SELECT * from vendor where CODE='".$row["C_CODE"]."'"; 
                    			$resultmaxin =$db->RunQuery($sqlmaxin);	
                    			$rowmaxin = mysqli_fetch_array($resultmaxin);
					
							echo "<tr>               
                              <td onclick=\"recno('".$row['C_REFNO']."');\">".$row['C_REFNO']."</td>
                              <td onclick=\"recno('".$row['C_REFNO']."');\">".$rowmaxin["NAME"]."</td>
                              <td onclick=\"recno('".$row['C_REFNO']."');\">".$row['C_PAYMENT']."</td>
							  <td onclick=\"recno('".$row['C_REFNO']."');\">".$row['C_DATE']."</td>
							  
							
                              
                            </tr>";
							}
							  ?>

        </tbody>
        <tfoot>
            <tr>
                <th>Crn No</th>
                <th>Customer</th>
                <th>Date</th>
                <th>Amount</th>
            </tr>
        </tfoot>
    </table>

</body>
</html>
<script type="text/javascript">
    $(document).ready(function() {
    // Setup - add a text input to each footer cell
    $('#example tfoot th').each( function () {
        var title = $(this).text();
        $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
    } );

    // DataTable
    var table = $('#example').DataTable({
        lengthChange: true,
        fixedHeader: true,
        responsive: true,
        "deferRender": true,
        "order": [[ 0, 'desc' ]],
        lengthMenu: [[ 10, 25, 50,100, -1 ],[ '10 rows', '25 rows', '50 rows', '100 rows', 'Show all' ]],
        initComplete: function () {
            // Apply the search
            this.api().columns().every( function () {
                var that = this;

                $( 'input', this.footer() ).on( 'keyup change clear', function () {
                    if ( that.search() !== this.value ) {
                        that
                        .search( this.value )
                        .draw();
                    }
                } );
            } );
        }
    });

} );
</script>




 